--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Construct a quick index file and all of the individual specs to support incremental loading.
constants: []

full_name: Gem::Indexer::QuickIndexBuilder
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: add_marshal
- !ruby/object:RI::MethodSummary 
  name: add_yaml
- !ruby/object:RI::MethodSummary 
  name: cleanup
name: QuickIndexBuilder
superclass: Gem::Indexer::AbstractIndexBuilder
